import { GPTConfigV1 } from './config';
import { Tensor } from '@tensorflow/tfjs-core';
import { default as Model, ModelForwardAttributes } from './model';
export default class NanoGPTV1 extends Model<ModelForwardAttributes, GPTConfigV1> {
    private wte;
    private wpe?;
    private blocks;
    private lnF;
    private ropeCache?;
    constructor(config?: Partial<GPTConfigV1>);
    getClassName(): string;
    private inputPhase;
    forward(attrs: ModelForwardAttributes, idx: Tensor): Tensor;
    project(embeddings: Tensor): Tensor;
    dispose(): void;
}
